TS_UINPUT(1)

NAME
ts_uinput - A daemon program creating a tslib-filtered and calibrated input event device

SYNOPSIS
ts_uinput [OPTION]

DESCRIPTION

ts_uinput provides an alternative for using tslib's API in order to get filtered and calibrated touch screen inputs. Using Linux' uinput system, it creates an input event device to be used in your environment. It uses ts_read_mt() and thus supports single and multi touch.

-d, --daemonize

    Start ts_uinput as a daemon and return. The sysfs' input device name of the newly created device is printed to stdout before returning.

-v, --verbose

    Print debug information to stdout and stderr.

-n, --name

    Set the name of the new input event device. Default: ts_uinput.

-i, --idev

    Explicitly choose the original input event device for tslib to use. Default: the environment variable TSLIB_TSDEVICE's value.

-f, --fbdev

    Explicitly choose the framebuffer device to use. Default: the environment variable TSLIB_FBDEVICE's value.

-s, --slots

    Explicitly set the possible concurrent touch contacts supported. May be only needed if the original input device doesn't report it.

SEE ALSO

ts.conf (5), ts_calibrate (1), ts_test (1)